Package eu.mhsl.minenet.minigames.shared.inventory

# Class ItemClick

java.lang.Object
eu.mhsl.minenet.minigames.shared.inventory.ItemClick

public class ItemClick extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItemClick(net.minestom.server.entity.Player player, InteractableInventory inventory, int clickedSlot, net.minestom.server.item.ItemStack item, net.minestom.server.inventory.click.ClickType clickType)`
  Describes a click on an Item from an IntractableInventory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getClickedSlot()`
  `net.minestom.server.inventory.click.ClickType`
  `getClickType()`
  `net.minestom.server.inventory.Inventory`
  `getInventory()`
  `net.minestom.server.item.ItemStack`
  `getItem()`
  `net.minestom.server.entity.Player`
  `getPlayer()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ItemClick

    public ItemClick(net.minestom.server.entity.Player player, InteractableInventory inventory, int clickedSlot, net.minestom.server.item.ItemStack item, net.minestom.server.inventory.click.ClickType clickType)
    Describes a click on an Item from an IntractableInventory
    Parameters:
      `player` -
      `inventory` -
      `clickedSlot` -
      `item` -
      `clickType` -

- ## Method Details

  - ### getPlayer

    public net.minestom.server.entity.Player getPlayer()

  - ### getInventory

    public net.minestom.server.inventory.Inventory getInventory()

  - ### getClickedSlot

    public int getClickedSlot()

  - ### getItem

    public net.minestom.server.item.ItemStack getItem()

  - ### getClickType

    public net.minestom.server.inventory.click.ClickType getClickType()